<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

    public function up(): void
    {
        Schema::create('company_settings', function (Blueprint $table) {
            $table->id();
            $table->string('Name');
            $table->string('Address');
            $table->string('PostCode');
            $table->string('EmailAddress');
            $table->string('EvolutionServer');
            $table->boolean('Sunday')->default(false);
            $table->boolean('Monday')->default(false);
            $table->boolean('Tuesday')->default(false);
            $table->boolean('Wednesday')->default(false);
            $table->boolean('Thursday')->default(false);
            $table->boolean('Friday')->default(false);
            $table->boolean('Saturday')->default(false);
            $table->timestamps();

        });
    }


    public function down(): void
    {
        Schema::dropIfExists('company_settings');
    }
};